#include "FragTrap.hpp"
#include <iostream>
#include <string>

FragTrap::FragTrap()
{
	this->_life = 100;
	this->_energy = 100;
	this->_damage = 30;
	this->_name = "";
	std::cout << "FragTrap()" << std::endl;
}

FragTrap::FragTrap(const FragTrap& src): ClapTrap(src)
{
	std::cout << "FragTrap(FragTrap)" << std::endl;
}

FragTrap::FragTrap(const std::string& name)
{
	this->_life = 100;
	this->_energy = 100;
	this->_damage = 30;
	this->_name = name;
	std::cout << "FragTrap(" << name << ")" << std::endl;
}

FragTrap& FragTrap::operator=(const FragTrap &src)
{
	this->_name = src._name;
	this->_life = src._life;
	this->_energy = src._energy;
	this->_damage = src._damage;

	return *this;
}

FragTrap::~FragTrap()
{
	std::cout << "~FragTrap()" << std::endl;
}

void FragTrap::highFivesGuys(void)
{
	std::cout << "high fives ?" << std::endl;
}
